
Ruby - Bug #9320

Nightly Snapshot is not found

12/30/2013 11:01 AM - phasis68 (Heesob Park)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.0.0: DONTNEED, 2.1: DONE

Description

If I click the Nightly Snapshot link on the http://www.ruby-lang.org/en/downloads/, It raised "404 Not Found" error.

When I try to build the latest snapshot,

ruby tool/make-snapshot /tmp/snapshot/ trunk

Exporting trunk@44459

Exported revision 44459.

take a breath, and go ahead

creating configure... done

creating prerequisites...

generating id.h

id.h updated

generating opt_sc.inc

generating optinsn.inc

generating optunifs.inc

generating insns.inc

generating insns_info.inc

generating vmtc.inc

generating vm.inc

generating node_name.inc

generating encdb.h

encdb.h updated

rbconfig.rb updated

generating enc.mk

/tmp/ruby-snapshot20131230-4403-fmvml0/ruby-2.2.0-r44459/lib/mkmf.rb:2401:in dup': can't dup NilClass (TypeError) from

/tmp/ruby-snapshot20131230-4403-fmvml0/ruby-2.2.0-r44459/lib/mkmf.rb:2401:in init_mkmf'

from /tmp/ruby-snapshot20131230-4403-fmvml0/ruby-2.2.0-r44459/lib/mkmf.rb:2484:in <module:MakeMakefile>' from

/tmp/ruby-snapshot20131230-4403-fmvml0/ruby-2.2.0-r44459/lib/mkmf.rb:47:in <top (required)>'

from ./enc/make_encmake.rb:8:in load' from ./enc/make_encmake.rb:8:in '

make: *** [enc.mk] Error 1

prerequisites failed

This error was introduced with r44459.

Associated revisions

Revision 5b59832c6a1ecebe8e3e167e1d1eb5ff111bc83d - 12/30/2013 07:14 AM - eban (Hirofumi WATANABE)

tool/make-snapshot: needs CXXFLAGS.  [ruby-core:59393][Bug #9320]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@44460 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 5b59832c - 12/30/2013 07:14 AM - eban (Hirofumi WATANABE)

tool/make-snapshot: needs CXXFLAGS.  [ruby-core:59393][Bug #9320]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@44460 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6f2348a0a310aa3f576c5eb665331186b4bb14a4 - 02/24/2014 06:04 AM - naruse (Yui NARUSE)

merge revision(s) 44425,44460: [Backport #9320]
http://www.ruby-lang.org/en/downloads/


    * tool/make-snapshot: support new version scheme.

    * tool/make-snapshot: needs CXXFLAGS.  [ruby-core:59393][Bug #9320]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@45162 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6f2348a0 - 02/24/2014 06:04 AM - naruse (Yui NARUSE)

merge revision(s) 44425,44460: [Backport #9320]

    * tool/make-snapshot: support new version scheme.

    * tool/make-snapshot: needs CXXFLAGS.  [ruby-core:59393][Bug #9320]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@45162 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 12/30/2013 12:13 PM - hsbt (Hiroshi SHIBATA)

phasis68

 Thank you for your report. 404 error of ruby-lang.org is caused by r44459 too.

#2 - 12/30/2013 04:14 PM - eban (Hirofumi WATANABE)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r44460.

Heesob, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

tool/make-snapshot: needs CXXFLAGS.  [ruby-core:59393][Bug #9320]

#3 - 02/05/2014 04:02 AM - usa (Usaku NAKAMURA)

- Backport changed from 1.9.3: UNKNOWN, 2.0.0: UNKNOWN, 2.1: UNKNOWN to 1.9.3: REQUIRED, 2.0.0: REQUIRED, 2.1: REQUIRED

#4 - 02/14/2014 06:53 AM - usa (Usaku NAKAMURA)

- Backport changed from 1.9.3: REQUIRED, 2.0.0: REQUIRED, 2.1: REQUIRED to 1.9.3: DONTNEED, 2.0.0: DONTNEED, 2.1: DONTNEED

#5 - 09/15/2014 01:53 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 1.9.3: DONTNEED, 2.0.0: DONTNEED, 2.1: DONTNEED to 1.9.3: DONTNEED, 2.0.0: DONTNEED, 2.1: DONE

#6 - 07/13/2016 04:59 AM - flamingo123 (flamingo videosservice)

- Tracker changed from Bug to Feature

- Project changed from Ruby to 14

- Subject changed from Nightly Snapshot is not found to nice

#7 - 07/13/2016 05:35 AM - hsbt (Hiroshi SHIBATA)

- Tracker changed from Feature to Bug

- Project changed from 14 to Ruby

- Subject changed from nice to Nightly Snapshot is not found

- Backport set to 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN

#8 - 07/13/2016 01:45 PM - znz (Kazuhiro NISHIYAMA)

- Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.0.0: DONTNEED, 2.1: DONE
